Get Business Profile Photo

This API endpoint retrieves the profile photo link associated with a given app ID from the Gupshup platform.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionConstraints
Headers
apikeyApikey of the account where the app is to be createdShould be a valid gupshup.io apikey
Path Params
appIdValid app id

Response Parameters

KeyDescription
messageContains the link to the profile photo

Sample Response

{
  "message": "https://gupshup.io/path/to/photo.jpg",
  "status": "success"
}

Status Codes

Status CodeResponseComments
Success
200
{  
  "message": "`<link>`",  
  "status": "success"  
}
Error
400
  {  
    "status": "error",  
    "message": "Invalid app id provided"  
  }
When invalid/empty appId is provided
400
  {  
    "status": "error",  
    "error": {  
      "message": "`<Facebook error response>`"  
    }  
  }
When Facebook returns an error while setting business profile photo
400
  {  
    "status": "error",  
    "error": {  
      "message": "couldn't fetch profile picture"  
    }  
  }
When an error occurs while fetching photo
401
  {  
    "status": "error",  
    "message": "Authentication Failed"  
  }
When API key is unauthorized
429
  {  
    "status": "error",  
    "message": "Too Many Requests"  
  }
When the rate limit is exceeded
Path Params
string
required

Unique identifier for an app

Headers
string
required

Your account API key

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json